> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.modbox.run/llms.txt.
> For full documentation content, see https://docs.modbox.run/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.modbox.run/_mcp/server.

# Create Sandbox Image

POST https://api.modbox.run/sandbox-images
Content-Type: application/json

Create a new sandbox image. Requires authentication.

Reference: https://docs.modbox.run/api-reference/modbox-api/create-sandbox-image

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: open-api
  version: 1.0.0
paths:
  /sandbox-images:
    post:
      operationId: create-sandbox-image
      summary: Create Sandbox Image
      description: Create a new sandbox image. Requires authentication.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
        - name: x-workspace-id
          in: header
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxImageDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SandboxImageCreate'
servers:
  - url: https://api.modbox.run
    description: https://api.modbox.run
components:
  schemas:
    SandboxImageCreate:
      type: object
      properties:
        description:
          type:
            - string
            - 'null'
        enabled:
          type: boolean
          default: true
        image:
          type: string
        is_default:
          type: boolean
          default: false
        memory_mb:
          type: integer
          default: 1024
          description: Memory in MB (256–8192)
        name:
          type: string
        readiness_port:
          type:
            - integer
            - 'null'
          description: >-
            HTTP port for readiness probe. Leave blank to use exec probe (pgrep
            supervisord).
        registry_id:
          type:
            - string
            - 'null'
          format: uuid
        tag:
          type: string
          default: latest
        ttl_seconds:
          type:
            - integer
            - 'null'
          description: >-
            Hard time limit in seconds for sandbox pods (60–86400). Leave blank
            for no limit.
      required:
        - image
        - name
      description: Request body for creating a new image.
      title: SandboxImageCreate
    SandboxImageDetail:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        id:
          type: string
          format: uuid
        image:
          type: string
        is_default:
          type: boolean
        memory_mb:
          type: integer
        name:
          type: string
        readiness_port:
          type:
            - integer
            - 'null'
        registry_id:
          type:
            - string
            - 'null'
          format: uuid
        registry_name:
          type:
            - string
            - 'null'
        tag:
          type: string
        ttl_seconds:
          type:
            - integer
            - 'null'
        updated_at:
          type: string
          format: date-time
        workspace_id:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - created_at
        - description
        - enabled
        - id
        - image
        - is_default
        - memory_mb
        - name
        - tag
        - updated_at
      description: Full image representation returned from the API.
      title: SandboxImageDetail
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{
  "image": "string",
  "name": "string"
}
```

**Response**

```json
{
  "created_at": "2024-01-15T09:30:00Z",
  "description": "string",
  "enabled": true,
  "id": "string",
  "image": "string",
  "is_default": true,
  "memory_mb": 1,
  "name": "string",
  "tag": "string",
  "updated_at": "2024-01-15T09:30:00Z",
  "readiness_port": 1,
  "registry_id": "string",
  "registry_name": "string",
  "ttl_seconds": 1,
  "workspace_id": "string"
}
```

**SDK Code**

```typescript
import { ModboxOpenApiClient } from "modbox-sdk";

async function main() {
    const client = new ModboxOpenApiClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.createSandboxImage({
        image: "string",
        name: "string",
    });
}
main();

```

```python
from modbox import ModboxOpenApi

client = ModboxOpenApi(
    token="YOUR_TOKEN_HERE",
)

client.create_sandbox_image(
    image="string",
    name="string",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.modbox.run/sandbox-images"

	payload := strings.NewReader("{\n  \"image\": \"string\",\n  \"name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.modbox.run/sandbox-images")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"image\": \"string\",\n  \"name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.modbox.run/sandbox-images")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"image\": \"string\",\n  \"name\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.modbox.run/sandbox-images', [
  'body' => '{
  "image": "string",
  "name": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.modbox.run/sandbox-images");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"image\": \"string\",\n  \"name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "image": "string",
  "name": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.modbox.run/sandbox-images")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```